package com.pcloud.book.book.dto;

import com.pcloud.common.entity.BaseEntity;

import java.util.List;

/**
 * 编辑管理Dto
 *
 * @version 1.0
 * @author:lihao
 * @date 创建时间：2017年7月10日 下午3:22:42
 */
public class AdviserManageDto extends BaseEntity {
    /**
     * 序列化
     */
    private static final long serialVersionUID = -2786440921453782304L;

    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 代理标识
     */
    private Long agentId;
    /**
     * 代理名称
     */
    private String agentName;
    /**
     * 代理标识
     */
    private Long channelId;
    /**
     * 代理名称
     */
    private String channelName;

    /**
     * 编辑信息
     */
    private List<BookAdviserDto> adviserList;


    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public List<BookAdviserDto> getAdviserList() {
        return adviserList;
    }

    public void setAdviserList(List<BookAdviserDto> adviserList) {
        this.adviserList = adviserList;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    @Override
    public String toString() {
        return "AdviserManageDto [bookId=" + bookId + ", agentId=" + agentId + ", agentName=" + agentName
                + ", channelId=" + channelId + ", channelName=" + channelName + ", adviserList=" + adviserList + "]";
    }


}
